Index: branches/dev_002_LIM/NEMO/LIM_SRC/limtrp.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limtrp.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limtrp.F90	(revision 821)
@@ -1,13 +1,13 @@
-MODULE limtrp
+MODULE limtrp_2
    !!======================================================================
-   !!                       ***  MODULE limtrp   ***
-   !! LIM transport ice model : sea-ice advection/diffusion
+   !!                       ***  MODULE limtrp_2   ***
+   !! LIM 2.0 transport ice model : sea-ice advection/diffusion
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_trp      : advection/diffusion process of sea ice
-   !!   lim_trp_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_trp_2      : advection/diffusion process of sea ice
+   !!   lim_trp_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -17,10 +17,10 @@
    USE in_out_manager  ! I/O manager
    USE ice_oce         ! ice variables
-   USE dom_ice
-   USE ice
-   USE iceini
-   USE limistate
-   USE limadv
-   USE limhdf
+   USE dom_ice_2
+   USE ice_2
+   USE iceini_2
+   USE limistate_2
+   USE limadv_2
+   USE limhdf_2
    USE lbclnk
    USE lib_mpp
@@ -30,5 +30,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_trp       ! called by ice_step
+   PUBLIC lim_trp_2     ! called by ice_step_2
 
    !! * Shared module variables
@@ -54,7 +54,7 @@
 CONTAINS
 
-   SUBROUTINE lim_trp( kt )
+   SUBROUTINE lim_trp_2( kt )
       !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE lim_trp ***
+      !!                   ***  ROUTINE lim_trp_2 ***
       !!                    
       !! ** purpose : advection/diffusion process of sea ice
@@ -97,5 +97,5 @@
       !---------------------------------------------------------------------
 
-      IF( kt == nit000  )   CALL lim_trp_init      ! Initialization (first time-step only)
+      IF( kt == nit000  )   CALL lim_trp_init_2      ! Initialization (first time-step only)
 
       zsm(:,:) = area(:,:)
@@ -149,35 +149,35 @@
          IF ( MOD( nday , 2 ) == 0) THEN
             DO jk = 1,initad
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
             END DO
          ELSE
             DO jk = 1, initad
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
             END DO
          ENDIF
@@ -211,11 +211,11 @@
          ! diffusion
          ! ---------
-         CALL lim_hdf( zs0ice )
-         CALL lim_hdf( zs0sn  )
-         CALL lim_hdf( zs0a   )
-         CALL lim_hdf( zs0c0  )
-         CALL lim_hdf( zs0c1  )
-         CALL lim_hdf( zs0c2  )
-         CALL lim_hdf( zs0st  )
+         CALL lim_hdf_2( zs0ice )
+         CALL lim_hdf_2( zs0sn  )
+         CALL lim_hdf_2( zs0a   )
+         CALL lim_hdf_2( zs0c0  )
+         CALL lim_hdf_2( zs0c1  )
+         CALL lim_hdf_2( zs0c2  )
+         CALL lim_hdf_2( zs0st  )
 
          zs0ice(:,:) = MAX( rzero, zs0ice(:,:) * area(:,:) )    !!bug:  est-ce utile
@@ -278,10 +278,10 @@
       ENDIF
       
-   END SUBROUTINE lim_trp
-
-
-   SUBROUTINE lim_trp_init
+   END SUBROUTINE lim_trp_2
+
+
+   SUBROUTINE lim_trp_init_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_trp_init  ***
+      !!                  ***  ROUTINE lim_trp_init_2  ***
       !!
       !! ** Purpose :   initialization of ice advection parameters
@@ -303,10 +303,10 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_trp_init : Ice parameters for advection '
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_trp_init_2 : Ice parameters for advection '
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
          WRITE(numout,*) '   boundary conditions (0. no-slip, 1. free-slip) bound  = ', bound
       ENDIF
             
-   END SUBROUTINE lim_trp_init
+   END SUBROUTINE lim_trp_init_2
 
 #else
@@ -315,8 +315,8 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_trp        ! Empty routine
-   END SUBROUTINE lim_trp
+   SUBROUTINE lim_trp_2        ! Empty routine
+   END SUBROUTINE lim_trp_2
 #endif
 
    !!======================================================================
-END MODULE limtrp
+END MODULE limtrp_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limwri.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limwri.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limwri.F90	(revision 821)
@@ -1,5 +1,5 @@
-MODULE limwri
+MODULE limwri_2
    !!======================================================================
-   !!                     ***  MODULE  limwri  ***
+   !!                     ***  MODULE  limwri_2  ***
    !!         Ice diagnostics :  write ice output files
    !!======================================================================
@@ -7,11 +7,11 @@
    !!            2.0  ! 04-10  (C. Ethe )  1D configuration
    !!-------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_wri      : write of the diagnostics variables in ouput file 
-   !!   lim_wri_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'  i                                 LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_wri_2      : write of the diagnostics variables in ouput file 
+   !!   lim_wri_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    USE ioipsl
@@ -23,6 +23,6 @@
    USE ice_oce         ! ice variables
    USE flx_oce
-   USE dom_ice
-   USE ice
+   USE dom_ice_2
+   USE ice_2
    USE lbclnk
 
@@ -30,5 +30,5 @@
    PRIVATE
 
-   PUBLIC   lim_wri        ! routine called by lim_step.F90
+   PUBLIC   lim_wri_2        ! routine called by lim_step_2.F90
 
    INTEGER, PARAMETER                       ::   jpnoumax = 40   ! maximum number of variable for ice output
@@ -61,5 +61,5 @@
    !!   'key_dimgout'                                    Direct Access file
    !!----------------------------------------------------------------------
-# include "limwri_dimg.h90"
+# include "limwri_dimg_2.h90"
 #else
    !!----------------------------------------------------------------------
@@ -67,7 +67,7 @@
    !!----------------------------------------------------------------------
 
-   SUBROUTINE lim_wri( kt )
-      !!-------------------------------------------------------------------
-      !!                    ***   ROUTINE lim_wri  ***
+   SUBROUTINE lim_wri_2( kt )
+      !!-------------------------------------------------------------------
+      !!                    ***   ROUTINE lim_wri_2  ***
       !!                
       !! ** Purpose :   write the sea-ice output file in NetCDF
@@ -92,5 +92,5 @@
       IF ( kt == nit000 ) THEN                !   Initialisation   !
          !                                       !--------------------!
-         CALL lim_wri_init 
+         CALL lim_wri_init_2 
                            
          zsto     = rdt_ice
@@ -123,6 +123,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_wri : write ice outputs in NetCDF files at time : ', nyear, nmonth, nday, kt + nfice - 1
-         WRITE(numout,*) '~~~~~~~ '
+         WRITE(numout,*) 'lim_wri_2 : write ice outputs in NetCDF files at time : ', nyear, nmonth, nday, kt + nfice - 1
+         WRITE(numout,*) '~~~~~~~~~ '
       ENDIF
 
@@ -189,11 +189,11 @@
       ENDIF
       !
-   END SUBROUTINE lim_wri
+   END SUBROUTINE lim_wri_2
    
 #endif
    
-   SUBROUTINE lim_wri_init
-      !!-------------------------------------------------------------------
-      !!                    ***   ROUTINE lim_wri_init  ***
+   SUBROUTINE lim_wri_init_2
+      !!-------------------------------------------------------------------
+      !!                    ***   ROUTINE lim_wri_init_2  ***
       !!                
       !! ** Purpose :   intialisation of LIM sea-ice output
@@ -267,6 +267,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_wri_init : Ice parameters for outputs'
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_wri_init_2 : Ice parameters for outputs'
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
          WRITE(numout,*) '    number of fields to be stored         noumef = ', noumef
          WRITE(numout,*) '           title                            name     unit      Saving (1/0) ',   &
@@ -278,15 +278,15 @@
       ENDIF
       !    
-   END SUBROUTINE lim_wri_init
+   END SUBROUTINE lim_wri_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_wri          ! Empty routine
-   END SUBROUTINE lim_wri
+   SUBROUTINE lim_wri_2          ! Empty routine
+   END SUBROUTINE lim_wri_2
 #endif
 
    !!======================================================================
-END MODULE limwri
+END MODULE limwri_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/limwri_dimg.h90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/limwri_dimg.h90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/limwri_dimg.h90	(revision 821)
@@ -1,3 +1,3 @@
-    SUBROUTINE lim_wri(kt)
+    SUBROUTINE lim_wri_2(kt)
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
@@ -52,5 +52,5 @@
     IF ( kt == nit000 ) THEN 
 
-       CALL lim_wri_init 
+       CALL lim_wri_init_2 
 
        nwf = 0 
@@ -58,5 +58,5 @@
 
        IF (lwp ) THEN
-          WRITE(numout,*) 'lim_wri : Write ice outputs in dimg'
+          WRITE(numout,*) 'lim_wri_2 : Write ice outputs in dimg'
           WRITE(numout,*) '~~~~~~~~'
           WRITE(numout,*) '   According to namelist_ice, following fields saved:'
@@ -203,3 +203,3 @@
        END IF     !  MOD(kt+nfice-1-nit000+1, nwrite == 0 ) !
 
-     END SUBROUTINE lim_wri
+     END SUBROUTINE lim_wri_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/par_ice.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/par_ice.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/par_ice.F90	(revision 821)
@@ -1,5 +1,6 @@
-MODULE par_ice
+MODULE par_ice_2
+#if defined key_lim2
    !!======================================================================
-   !!                       ***  MODULE par_ice   ***
+   !!                       ***  MODULE par_ice_2   ***
    !! Sea-Ice model : definition of the parameters
    !!======================================================================
@@ -24,3 +25,4 @@
 
    !!======================================================================
-END MODULE par_ice
+#endif
+END MODULE par_ice_2
Index: branches/dev_002_LIM/NEMO/LIM_SRC/thd_ice.F90
===================================================================
--- branches/dev_002_LIM/NEMO/LIM_SRC/thd_ice.F90	(revision 820)
+++ branches/dev_002_LIM/NEMO/LIM_SRC/thd_ice.F90	(revision 821)
@@ -1,6 +1,7 @@
-MODULE thd_ice
+MODULE thd_ice_2
+#if defined key_lim2
    !!======================================================================
-   !!                       ***  MODULE thd_ice  ***
-   !! LIM sea-ice :   Ice thermodynamics in 1D
+   !!                       ***  MODULE thd_ice_2  ***
+   !! LIM 2.0 sea-ice :   Ice thermodynamics in 1D
    !!=====================================================================
    !! History :
@@ -12,5 +13,5 @@
    !!----------------------------------------------------------------------
    !! * Modules used
-   USE par_ice
+   USE par_ice_2
 
    IMPLICIT NONE
@@ -82,3 +83,4 @@
 
    !!======================================================================
-END MODULE thd_ice
+#endif
+END MODULE thd_ice_2
